--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Create a new PDF::Reader::Content object to process the contents of PDF file
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "-"
    body: receiver - an object containing the required callback methods
  - !ruby/struct:SM::Flow::LI 
    label: "-"
    body: xref - a PDF::Reader::Xref object that contains references to all the objects in a PDF file
  type: :BULLET
full_name: PDF::Reader::Content::new
is_singleton: true
name: new
params: (receiver, xref)
visibility: public
